Page MenuHomePhabricator

[CatWatch] Add setting for disabling categorization recent changes & watching on a site (per wiki)
Closed, ResolvedPublic3 Story Points

Details

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 2:47 PM
Sitic added a subscriber: Sitic.Aug 26 2015, 3:24 PM
RP88 added a subscriber: RP88.Aug 26 2015, 7:18 PM

However I still think users should be able to opt in even if the site decided to opt-out - the site should hide it by default, instead of disable it completely.

However I still think users should be able to opt in even if the site decided to opt-out - the site should hide it by default, instead of disable it completely.

I thought that's what this task was about. I don't think anyone would ask for it to be completely disabled on a site.

Tobi_WMDE_SW renamed this task from Add setting for disabling category watching on a site (per wiki) to [CatWatch] Add setting for disabling category watching on a site (per wiki).Aug 28 2015, 7:17 AM
Addshore renamed this task from [CatWatch] Add setting for disabling category watching on a site (per wiki) to [CatWatch] Add setting for disabling categorization recent changes & watching on a site (per wiki).Aug 31 2015, 2:37 PM

Change 233441 had a related patch set uploaded (by Addshore):
[WIP] Enable users to watch category membership changes (try #2)

https://gerrit.wikimedia.org/r/233441

Addshore claimed this task.Sep 1 2015, 2:29 PM
Addshore moved this task from Backlog to Review on the TCB-Team-Sprint-2015-08-26 board.
KasiaWMDE moved this task from Incoming to Sprint Ready on the TCB-Team board.Sep 3 2015, 12:22 PM
KasiaWMDE moved this task from Sprint Ready to Work in progress (TCB) on the TCB-Team board.

Change 239065 had a related patch set (by Addshore) published:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Change 233441 abandoned by Addshore:
Enable users to watch category membership changes #2

Reason:
Please see the following changes which have been factored out of this one:
https://gerrit.wikimedia.org/r/#/c/239061/
https://gerrit.wikimedia.org/r/#/c/239060/
https://gerrit.wikimedia.org/r/#/c/239065/

https://gerrit.wikimedia.org/r/233441

Change 239065 merged by jenkins-bot:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Addshore closed this task as Resolved.Oct 20 2015, 9:54 PM
Addshore moved this task from Review to Done on the TCB-Team-Sprint-2015-10-14 board.